---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: stirling-pdf
spec:
  selector:
    matchLabels:
      container: stirling-pdf
  template:
    metadata:
      labels:
        container: stirling-pdf
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: DOCKER_ENABLE_SECURITY
          value: 'false'
        image: stirlingtools/stirling-pdf:0.41.0
        name: stirling-pdf
        securityContext:
          privileged: true
        volumeMounts:
        - mountPath: /usr/share/tesseract-ocr/5/tessdata
          name: longhorn-own-data
          subPath: data/trainingData
        - mountPath: /configs
          name: longhorn-own-data
          subPath: data/extraConfigs
        - mountPath: /customFiles/
          name: longhorn-own-data
          subPath: data/customFiles
        - mountPath: /logs/
          name: longhorn-own-data
          subPath: data/logs
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

